## Debugging

Debugging — Debug functions

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | DEBUG_PRINT ()

## Includes

    #include <libanjuta/anjuta-debug.h>

## Description

Anjuta debug messages are displayed using the `g_debug()` function from GLib.

To display debug messages, Anjuta must have been compiled with --enable-debug and the environment variable G_MESSAGES_DEBUG should be set to "all" or to a list separated by whitespace of domains to display.

By example

    G_MESSAGE_DEBUG=Gtk Anjuta libanjuta-gdb

will display debug messages from Gtk, Anjuta and gdb plugin only.

## Functions

### DEBUG_PRINT()

    		#define DEBUG_PRINT(format, ...) g_debug ("%s:%d (%s) " format, __FILE__, __LINE__, G_STRFUNC, ##__VA_ARGS__)

Equivalent to `g_debug()` showing the FILE, the LINE and the FUNC, except it has only effect when DEBUG is defined . Used for printing debug messages.

## Types and Values